| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::activity_button Struct Reference

An activity button is a custom button shown in the rich presence. Can be to join a game or whatever. More...

`#include <presence.h>`

Collaboration diagram for dpp::activity_button:
[legend]

## Public Member Functions

| activity_button ()=default

## Public Attributes

std::string | label
| The text shown on the button (1-32 characters).
std::string | url
| The url opened when clicking the button (1-512 characters, can be empty).

## Detailed Description

An activity button is a custom button shown in the rich presence. Can be to join a game or whatever.

## Constructor & Destructor Documentation

## ◆ activity_button()

dpp::activity_button::activity_button | ( |  | ) |

default

Constructor

## Member Data Documentation

## ◆ label

std::string dpp::activity_button::label

The text shown on the button (1-32 characters).

## ◆ url

std::string dpp::activity_button::url

The url opened when clicking the button (1-512 characters, can be empty).

Note
  Bots cannot access the activity button URLs.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0